> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/global/routing-policies > Get configured global routing-policies ## OpenAPI ````json POST /v1/global/routing-policies { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/global/routing-policies": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GlobalRoutingPoliciesPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1GlobalRoutingPoliciesPostResponse" } } } } }, "description": "Get configured global routing-policies" } } }, "components": { "schemas": { "v1GlobalRoutingPoliciesPostRequest": { "type": "object", "properties": { "ids": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "v1GlobalRoutingPoliciesPostResponse": { "type": "object", "properties": { "routingPolicies": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2RoutingPolicy" } } }, "additionalProperties": false }, "manaV2RoutingPolicy": { "type": "object", "properties": { "attachPoint": { "type": "string", "example": "ENUM_VALUE" }, "defaultAction": { "type": "string", "example": "ENUM_VALUE" }, "description": { "type": "string", "example": "example string" }, "errorMessage": { "type": "string", "example": "example string" }, "globalId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "name": { "type": "string", "example": "example string" }, "statements": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2RoutingPolicyStatement" } }, "status": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "manaV2RoutingPolicyStatement": { "type": "object", "properties": { "actions": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2RoutingPolicyStatementAction" } }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "matches": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2RoutingPolicyStatementMatch" } }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2RoutingPolicyStatementAction": { "type": "object", "properties": { "administrativeDistance": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "aspathPrepend": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "bgpSetNextHop": { "type": "string", "example": "example string" }, "callPolicy": { "type": "string", "example": "example string" }, "community": { "$ref": "#/components/schemas/manaV2CommunityType" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "localPref": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "metricAbsolute": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "metricModifier": { "type": "integer", "format": "int32", "example": 123 }, "result": { "type": "string", "example": "ENUM_VALUE" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "weight": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2RoutingPolicyStatementMatch": { "type": "object", "properties": { "community": { "type": "array", "items": { "type": "string", "example": "example string" } }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "prefixSet": { "type": "string", "example": "example string" }, "protocolRouteType": { "type": "string", "example": "ENUM_VALUE" }, "routeTag": { "$ref": "#/components/schemas/manaV2RouteTag" }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourceInterface": { "type": "string", "example": "example string" }, "sourceProtocol": { "type": "string", "example": "ENUM_VALUE" }, "stalePurge": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2CommunityType": { "type": "object", "properties": { "additive": { "type": "boolean", "example": true }, "communityList": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2RouteTag": { "type": "object", "properties": { "levelOne": { "type": "string", "example": "example string" }, "levelTwo": { "type": "string", "example": "example string" }, "levelZero": { "type": "string", "example": "example string" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````